%define upstream_name pyrfc3339

Name:           python-%{upstream_name}
Version:        1.1
Release:        %mkrel 3
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
License:        MIT
URL:            https://pypi.python.org/pypi/pyRFC3339
Source0:        https://pypi.python.org/packages/source/a/pyRFC3339/pyRFC3339-%{version}.tar.gz
BuildArch:      noarch

%description
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

%package -n     python3-%{upstream_name}
Summary:        Generate and parse RFC 3339 timestamps
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
pyRFC3339 parses and generates RFC 3339-compliant timestamps using Python
datetime.datetime objects.

This is the Python 3 version of the package.

%prep
%setup -q -n pyRFC3339-%{version}

# Remove bundled egg-info
rm -rf pyRFC3339.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitelib}/pyrfc3339
%{python3_sitelib}/pyRFC3339-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 1.1-3.mga8
+ Revision: 1608301
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.1-2.mga8
+ Revision: 1531766
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 guillomovitch <guillomovitch> 1.1-1.mga8
+ Revision: 1440927
- new version 1.1
- drop python2 support

* Mon Jan 07 2019 kekepower <kekepower> 1.0-5.mga7
+ Revision: 1350378
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0-4.mga7
+ Revision: 1289796
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.0-3.mga7
+ Revision: 1135583
- Rebuild for python 3.6

* Tue Jan 19 2016 daviddavid <daviddavid> 1.0-2.mga6
+ Revision: 925744
- use new python macros
- add python3 package

* Fri Dec 04 2015 guillomovitch <guillomovitch> 1.0-1.mga6
+ Revision: 908042
- imported package python-pyrfc3339

